Skip to content

Login

POST
/auth/login
curl --request POST \
--url https://api.mengi.cloud/auth/login \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example" }'

Login with email and password

Media type application/json
LoginRequest
object
email
required
Email
string format: email
password
required
Password
string
Example generated
{
"email": "hello@example.com",
"password": "example"
}

Successful Response

Media type application/json
LoginResponse

Login response with user info and token.

object
id
required
Id
string format: uuid
email
required
Email
string
name
Any of:
string
avatar_url
Any of:
string
oauth_provider
Any of:
string
is_active
required
Is Active
boolean
access_token
required
Access Token
string
token_type
Token Type
string
default: bearer
requires_passkey_migration
Requires Passkey Migration
boolean
Example
{
"token_type": "bearer",
"requires_passkey_migration": false
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}